Bug 1417167 - [python27] memory leak in "test___all__.py" (valgrind) RHEL6/7
Summary: [python27] memory leak in "test___all__.py" (valgrind) RHEL6/7
Keywords:
Status: CLOSED EOL
Alias: None
Product: Red Hat Software Collections
Classification: Red Hat
Component: python
Version: python27
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: ---
Assignee: Python Maintainers
QA Contact: BaseOS QE - Apps
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-27 12:05 UTC by Branislav Náter
Modified: 2019-06-14 13:06 UTC (History)
0 users

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-14 13:06:50 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Branislav Náter 2017-01-27 12:05:55 UTC
Description of problem:
During running python unit tests under valgrind, memory leak has been found (definitely lost bytes != 0)

Affected tests: test___all__.py

Version-Release number of selected component (if applicable):
python27-python-2.7.13-1.el{6,7}

How reproducible:
Running /CoreOS/python/Sanity/unit-tests or individual upstream test under valgrind

Steps to Reproduce:
1. su pythontester -c 'valgrind python test___all__.py'


Actual results:
:: [   FAIL   ] :: Running test___all__.py (Expected 0, got 1)
:: [  BEGIN   ] :: Running test___all__.py in verbose mode :: actually running 'valgrind python regrtest.py test___all__.py <empty 2>&1 | tail -20'
==28763==    by 0x4CF8E0D: PyEval_EvalCodeEx (ceval.c:3661)
==28763==    by 0x4C7FCD0: function_call (funcobject.c:523)
==28763==    by 0x4C56D12: PyObject_Call (abstract.c:2547)
==28763== 
1 test OK.
==28763== 
==28763== HEAP SUMMARY:
==28763==     in use at exit: 14,934,573 bytes in 95,479 blocks
==28763==   total heap usage: 661,103 allocs, 565,624 frees, 168,809,601 bytes allocated
==28763== 
==28763== LEAK SUMMARY:
==28763==    definitely lost: 324 bytes in 2 blocks
==28763==    indirectly lost: 0 bytes in 0 blocks
==28763==      possibly lost: 5,859,287 bytes in 31,243 blocks
==28763==    still reachable: 9,074,962 bytes in 64,234 blocks
==28763==         suppressed: 0 bytes in 0 blocks
==28763== Rerun with --leak-check=full to see details of leaked memory
==28763== 
==28763== For counts of detected and suppressed errors, rerun with: -v
==28763== ERROR SUMMARY: 4391 errors from 12 contexts (suppressed: 186 from 9)

Expected results:
No memory leaks.

Additional info:
Full log from beaker: http://beaker-archive.app.eng.bos.redhat.com/beaker-logs/2017/01/16861/1686176/3451813/50490867/TESTOUT.log

Comment 3 Joe Orton 2018-01-31 13:57:17 UTC
Red Hat does not currently plan to provide any further changes to this collection in a Red Hat Software Collections update release.

This software collection is nearing the retirement date (April 2018) after which customers are encouraged to upgrade to a later release.

Please contact Red Hat Support if you have further questions, or refer to the support lifecycle page for more information. https://access.redhat.com/support/policy/updates/rhscl/

Comment 4 Joe Orton 2019-06-14 13:06:50 UTC
In accordance with the Red Hat Software Collections Product Life Cycle, the support period for this collection has ended.

New bug fix, enhancement, and security errata updates, as well as technical support services will no longer be made available for this collection.

Customers are encouraged to upgrade to a later release.

Please contact Red Hat Support if you have further questions, or refer to the support lifecycle page for more information. https://access.redhat.com/support/policy/updates/rhscl/


Note You need to log in before you can comment on or make changes to this bug.